#include <intuition/preferences.h>
#include <stdio.h>
#include <fcntl.h>

struct Preferences pf;
struct Library *OpenLibrary();
struct IntuitionBase *IntuitionBase;

int baudrates[] = { 110,300,1200,2400,4800,9600,19200 };

extern int Enable_Abort;

void main(argc,argv)
int argc;
char *argv[];
{
	int br,i;
	int bc=-1;

	if(argc!=2) {
		printf("Syntax: %s <baud rate>\n",argv[0]);
		exit(99);
	}

	br = atoi(argv[1]);

	for(i=0;i<=6;i++) if(br==baudrates[i]) bc=i;

	if(bc<0) {
		printf("Not a valid Preferences baud rate.\n");
		exit(99);
	}

	Enable_Abort = 0;

	if (!(IntuitionBase = (struct IntuitionBase *) OpenLibrary ("intuition.library",0L))) exit(99);

	GetPrefs (&pf);

	pf.BaudRate = bc;

	SetPrefs (&pf);
	CloseLibrary (IntuitionBase);
}
